
.. index::
   pair: Tutorial ; https://devdocs.io/http/

.. _devdocsio_http:

=======================================================
**https://devdocs.io/http/**
=======================================================

- https://devdocs.io/http/


Hypertext Transfer Protocol (HTTP) is an application-layer protocol **for
transmitting hypermedia documents, such as HTML**.

It was designed for communication between web browsers and web servers,
but it can also be used for other purposes.

HTTP follows a classical client-server model, with a client opening a
connection to make a request, then waiting until it receives a response.

HTTP is a stateless protocol, meaning that the server does not keep any
data (state) between two requests.
